INTERFACE
SUBROUTINE RADCFG(KST,KEND,&
 & KSTGLO ,KFLDS,&
 & LDLAND,&
 & POROG,PB2,PGFL,&
 & PUT9,PVT9,PTT9,PSPT9,&
 & PSP_SB,PSP_SG,PSP_RR,&
 & PSD_VF,PSD_VN,PSD_VD,&
 & PSD_XA, PSD_X2,&
 & PALBD ,PALBP ,PCCNL ,PCCNO,&
 & PPRE9 ,PPRE9F ,PNEB,&
 & PCCC ,PHCC ,PLCC ,PMCC ,PTCC,&
 & PGELAM,&
 & PDELP9 ,PEMIR ,PEMIW ,PEMIT,&
 & PGEOH, PGEMU ,PMU0M ,PQSAT,&
 & PQICE ,PQLI ,PQRAIN ,PRAINT &
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA
USE YOERAD , ONLY : NTSW
USE SURFACE_FIELDS_MIX , ONLY : GPPOPER,&
 & YSP_SBD, YSP_SB, YSP_SGD, YSP_SG,&
 & YSP_RRD, YSP_RR,&
 & YSD_VDD, YSD_VD, YSD_VFD, YSD_VF,&
 & YSD_VND, YSD_VN, & 
 & YSD_XAD, YSD_X2D
USE YOM_YGFL , ONLY : YGFL, YQ, YL, YI, YA, YAERO, NAERO
INTEGER(KIND=JPIM),INTENT(IN) :: KFLDS
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
LOGICAL ,INTENT(OUT) :: LDLAND(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROG(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PB2(NPROMA,KFLDS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(IN) :: PUT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTT9(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPT9(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_SB(NPROMA,YSP_SBD%NLEVS,YSP_SBD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_SG(NPROMA,YSP_SGD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSP_RR(NPROMA,YSP_RRD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VF(NPROMA,YSD_VFD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VN(NPROMA,YSD_VND%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_VD(NPROMA,YSD_VDD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_XA(NPROMA,YSD_XAD%NLEVS,YSD_XAD%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSD_X2(NPROMA,YSD_X2D%NDIM)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALBD(NPROMA,NTSW)
REAL(KIND=JPRB) ,INTENT(OUT) :: PALBP(NPROMA,NTSW)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCCNL(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCCNO(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPRE9(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PPRE9F(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PNEB(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCCC(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHCC(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLCC(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMCC(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTCC(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDELP9(NPROMA,0:NFLEVG+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEMIR(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEMIW(NPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEMIT(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMU0M(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQSAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQICE(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQLI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQRAIN(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAINT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGEOH (NPROMA,0:NFLEVG)
END SUBROUTINE RADCFG
END INTERFACE
